package com.bea.medrec.web.admin.actions;

import com.bea.medrec.service.MedRecClientServiceFacade;
import com.bea.medrec.web.actions.BaseLookupDispatchAction;
import javax.management.MBeanServerConnection;

/**
 * <p>Base lookup dispatch action encapsulating
 * common admin webapp functionality.</p>
 *
 * @author Copyright (c) @COPYRIGHT_CURRENTYEAR by BEA Systems. All Rights Reserved.
 */
public abstract class AdminBaseLookupDispatchAction
    extends BaseLookupDispatchAction implements AdminConstants {

  protected MedRecClientServiceFacade medRecClientServiceFacade;
  protected MBeanServerConnection mbeanServerConnection = null;


  public void setMedRecClientServiceFacade(
      MedRecClientServiceFacade pMedRecClientServiceFacade) {
    this.medRecClientServiceFacade = pMedRecClientServiceFacade;
  }

  protected String getHomeAlias() {
    return HOME_ALIAS;
  }

  protected String getErrorAlias() {
    return ERROR_ALIAS;
  }
}
