package com.bea.medrec.web.patient.actions;

import com.bea.medrec.service.MedRecClientServiceFacade;
import com.bea.medrec.web.actions.BaseAction;

/**
 * <p>Base servlet encapsulating common servlet functionality.</p>
 *
 * @author Copyright (c) @COPYRIGHT_CURRENTYEAR by BEA Systems. All Rights Reserved.
 */
public abstract class PatientBaseAction         
    extends BaseAction implements PatientConstants {

  protected MedRecClientServiceFacade medRecClientServiceFacade;

  public void setMedRecClientServiceFacade(
      MedRecClientServiceFacade pMedRecClientServiceFacade){
    this.medRecClientServiceFacade = pMedRecClientServiceFacade;
  }

  protected String getHomeAlias() {
    return HOME_ALIAS;
  }

  protected String getErrorAlias() {
    return ERROR_ALIAS;
  }
}