package com.bea.medrec.domain;

import java.io.Serializable;

/**
 * <p>This class represents information in a mail message.</p>
 *
 * @author Copyright (c) @COPYRIGHT_CURRENTYEAR by BEA Systems. All Rights Reserved.
 */
public class Mail implements Serializable{

  private String message = null;
  private String from = null;
  private String to = null;
  private String subject = null;

  public Mail() {
  }

  public Mail(String pMessage,
              String pFrom,
              String pTo,
              String pSubject) {
    this.message = pMessage;
    this.from = pFrom;
    this.to = pTo;
    this.subject = pSubject;
  }

  public String getMessage() {
    return this.message;
  }

  public String getFrom() {
    return this.from;
  }

  public String getTo() {
    return this.to;
  }

  public String getSubject() {
    return this.subject;
  }

  public void setMessage(String pMessage) {
    this.message = pMessage;
  }

  public void setFrom(String pFrom) {
    this.from = pFrom;
  }

  public void setTo(String pTo) {
    this.to = pTo;
  }

  public void setSubject(String pSubject) {
    this.subject = pSubject;
  }

  public String toString() {
    StringBuffer str = new StringBuffer();
    str.append("Mail[To: ").append(to);
    str.append(" | From: ").append(from);
    str.append(" | Message: ").append(message);
    str.append(" | Subject: ").append(subject);
    str.append("]");

    return str.toString();
  }
}