package com.bea.medrec.dao;

import com.bea.medrec.domain.Patient;
import java.util.List;
import org.springframework.dao.DataAccessException;

/**
 * FIXME
 */
public interface PatientDao {

  public List getByEmail(String email) throws DataAccessException;

  public Patient getById(Integer patientId) throws DataAccessException;

  public List getByLastName(String lastName) throws DataAccessException;

  public List getByLastNameFirstName(String lastName,String firstName)
      throws DataAccessException;

  public List getByLastNameWild(String lastName) throws DataAccessException;

  public Patient getBySsn(String ssn) throws DataAccessException;

  public List getByStatus(String status) throws DataAccessException;

  public Patient getByUsername(String username) throws DataAccessException;

  public Patient save(Patient patient) throws DataAccessException;
  
  public Patient update(Patient patient) throws DataAccessException;
}
