package com.bea.medrec.dao.orm;

import java.util.Collections;
import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.dao.DataAccessException;

import com.bea.medrec.dao.PrescriptionDao;
import com.bea.medrec.domain.Prescription;
import com.bea.medrec.domain.Record;
import com.bea.medrec.utils.MedRecLog4jFactory;

/**
 * FIXME
 */
public class JpaPrescriptionDao
    extends BaseDao implements PrescriptionDao {

  private static Logger logger =
    MedRecLog4jFactory.getLogger(JpaPrescriptionDao.class.getName());

  public Prescription getById(Integer pId) throws DataAccessException {
    return (Prescription)getJpaTemplate().find(Prescription.class, pId);
  }

  public List getByRecordId(Integer pRecordId) throws DataAccessException {
    List prescriptions = getJpaTemplate().find("SELECT p "+
        "FROM "+Prescription.class.getSimpleName()+" p "+
        "WHERE p.recordId = ?1", pRecordId);
    
    return (prescriptions.isEmpty()) ? Collections.EMPTY_LIST : prescriptions;
  }

  public List getByPatientId(Integer pPatientId) throws DataAccessException {
    List prescriptions = getJpaTemplate().find("SELECT p "+
        "FROM "+Prescription.class.getSimpleName()+" p "+
        "WHERE p.patientId = ?1", pPatientId);
    
    return (prescriptions.isEmpty()) ? Collections.EMPTY_LIST : prescriptions;
  }

}