package com.bea.medrec.service;

import com.bea.medrec.domain.Mail;
import com.bea.medrec.domain.User;
import com.bea.medrec.exceptions.MedRecException;
import org.springframework.mail.SimpleMailMessage;

/**
 * <p>Service interface for all functionality related to mail communication.</p>
 *
 * @author Copyright (c) @COPYRIGHT_CURRENTYEAR by BEA Systems. All Rights Reserved.
 */
public interface MailService {

  public void composeAndSendMail(Mail pMail) throws MedRecException;

  public void sendApproveMail(User pUser) throws MedRecException;

  public void sendDenyMail(User pUser) throws MedRecException;

  public void sendMail(SimpleMailMessage pMail) throws MedRecException;
}
