package com.bea.medrec.web.patient.actions;

import com.bea.medrec.service.MedRecClientServiceFacade;
import com.bea.medrec.web.actions.BaseLookupDispatchAction;

/**
 * <p>Base lookup dispatch action encapsulating
 * common patient webapp functionality.</p>
 *
 * @author Copyright (c) @COPYRIGHT_CURRENTYEAR by BEA Systems. All Rights Reserved.
 */
public abstract class PatientBaseLookupDispatchAction
    extends BaseLookupDispatchAction implements PatientConstants {

  protected MedRecClientServiceFacade medRecClientServiceFacade;

  public void setMedRecClientServiceFacade(
      MedRecClientServiceFacade pMedRecClientServiceFacade){
    this.medRecClientServiceFacade = pMedRecClientServiceFacade;
  }

  protected String getHomeAlias() {
    return HOME_ALIAS;
  }

  protected String getErrorAlias() {
    return ERROR_ALIAS;
  }
}