<%@ page isErrorPage="true" contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/taglibs/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/taglibs/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/taglibs/sslext.tld" prefix="sslext"%>
<%@ page import="com.bea.medrec.web.beans.ErrorBean,
                 org.apache.struts.Globals,
                 java.io.PrintWriter"%>

<html:html>
<head>
  <html:base/>
  <title><bean:message key="title.MedRec"/> - <bean:message key="Error"/></title>
  <link rel="stylesheet" type="text/css" href="stylesheet.css">
  <style type="text/css">
		/* domCollapse styles */
		.elementnormal{
			position:static;
			left:0;
		}
		.elementcollapsed{
			position:absolute;
			left:-9999em;
			top:0;
			height:1px;
		}
	</style>
  <script type="text/javascript">
    window.onload=function()
    {
    	domcollapse();
    	//  enables domcollapse all three links and allows several expanded elements
    	// domcollapse('makeunique');
    	//  enables domcollapse and allows only one expanded element
    	// domcollapse('nounique');
    	//  enables domcollapse offers no make one element unique link
    }
    /*
    	DomCollapse
    	Turns elements of a page into triggers to collapse and expand other elements
    	written by Christian Heilmann
    	For all enquiries check the homepage: http://www.onlinetools.org/tools/domcollapse/
    */
    function domcollapse(cmd)
    {
    	if(!document.getElementById || !document.createTextNode){return;}
    /* Variables */
    	// Class Names
    	var normalTriggerClass='trigger';
    	var expandedTriggerClass='triggerexpanded';
    	var hoverTriggerClass='triggerhover';
    	var normalElementClass='elementnormal';
    	var collapsedElementClass='elementcollapsed'
    	// Images
    	// the %section% will be replaced by the text content of the trigger element
    	//var expandMessage='Expand section: %section%';
      var expandMessage='';
    	var expandImage='../images/plus.gif';
    	//var collapseMessage='Collapse section: %section%';
      var collapseMessage='';
    	var collapseImage='../images/minus.gif';
    	// Messages
    	var collapseAllMessage='collapse all';
    	var expandAllMessage='expand all';
    	var triggerUniqueMessage='Only allow one expanded element';
    	var triggerNonUniqueMessage='Allow multiple expanded elements';
    	// element to add collapse/expand all links to
    	var collapseAllElement='domcollapseall';
    	// id that triggers the 'show only one element' functionality
    	// this gets set automatically
    	var enableAlternateElement='domcollapsealternate';

    	//var triggers=document.getElementsByTagName('*'); // Change as applicable!
      var triggers= document.getElementsByTagName('a');

    	switch(cmd)
    	{
    /* collapse all */
    		case 0:
    			for(var i=0;i<triggers.length;i++)
    			{
    				if(!cssjs('check',triggers[i],normalTriggerClass) && !cssjs('check',triggers[i],expandedTriggerClass)){continue;}
    				cssjs('remove',triggers[i],expandedTriggerClass);
    				cssjs('add',triggers[i],normalTriggerClass);
    				cssjs('remove',triggers[i].hideElement,normalElementClass)
    				cssjs('add',triggers[i].hideElement,collapsedElementClass)
    				addimage(triggers[i],false);
    			}
    		break;
    /* expand all */
    		case 1:
    			for(var i=0;i<triggers.length;i++)
    			{
    				if(!cssjs('check',triggers[i],normalTriggerClass) && !cssjs('check',triggers[i],expandedTriggerClass)){continue;}
    				cssjs('remove',triggers[i],normalTriggerClass);
    				cssjs('add',triggers[i],expandedTriggerClass);
    				cssjs('remove',triggers[i].hideElement,collapsedElementClass)
    				cssjs('add',triggers[i].hideElement,normalElementClass)
    				addimage(triggers[i],true);
    			}
    		break;
    		default:
    /* initialise all */
    			for(var i=0;i<triggers.length;i++)
    			{
    				if(!cssjs('check',triggers[i],normalTriggerClass) && !cssjs('check',triggers[i],expandedTriggerClass)){continue;}
    				var newa=document.createElement('a');
    				var newimg=document.createElement('img');
    				var locexpandMessage=expandMessage.replace(/%section%/,triggers[i].firstChild.nodeValue);
    				var loccollapseMessage=collapseMessage.replace(/%section%/,triggers[i].firstChild.nodeValue);
    				newimg.src=cssjs('check',triggers[i],expandedTriggerClass)?collapseImage:expandImage;
    				newimg.alt=cssjs('check',triggers[i],expandedTriggerClass)?loccollapseMessage:locexpandMessage;
    				newimg.title=cssjs('check',triggers[i],expandedTriggerClass)?loccollapseMessage:locexpandMessage;;
    				newa.appendChild(newimg);
    				newa.href='#';
    				triggers[i].insertBefore(newa,triggers[i].firstChild);
    				var tohide=triggers[i].nextSibling;
    				while(tohide.nodeType!=1)
    				{
    					tohide=tohide.nextSibling;
    				}
    				var toadd=cssjs('check',triggers[i],expandedTriggerClass)?normalElementClass:collapsedElementClass;
    				cssjs('add',tohide,toadd);
    				triggers[i].hideElement=tohide;
    				triggers[i].onmouseover=function()
    				{
    					cssjs('add',this,hoverTriggerClass);
    				}
    				triggers[i].onmouseout=function()
    				{
    					cssjs('remove',this,hoverTriggerClass);
    				}
    				triggers[i].onclick=function()
    				{
    // collapse all before showing the current element
    					if(document.getElementById(enableAlternateElement))
    					{
    						for(var i=0;i<triggers.length;i++)
    						{
    							if(!cssjs('check',triggers[i],normalTriggerClass) && !cssjs('check',triggers[i],expandedTriggerClass)){continue;}
    							if(triggers[i]==this){continue;}
    							cssjs('remove',triggers[i],expandedTriggerClass)
    							cssjs('add',triggers[i],normalTriggerClass)
    							cssjs('remove',triggers[i].hideElement,normalElementClass)
    							cssjs('add',triggers[i].hideElement,collapsedElementClass)
    							addimage(triggers[i],false);
    						}
    						if(cssjs('check',this,expandedTriggerClass))
    						{
    							cssjs('swap',this,expandedTriggerClass,normalTriggerClass)
    							cssjs('swap',this.hideElement,normalElementClass,collapsedElementClass)
    							addimage(this,false);
    						} else {
    							cssjs('swap',this,normalTriggerClass,expandedTriggerClass)
    							cssjs('swap',this.hideElement,collapsedElementClass,normalElementClass)
    							addimage(this,true);
    						}
    					} else {
    // show hide on click of the trigger element
    						if(cssjs('check',this,expandedTriggerClass))
    						{
    							cssjs('swap',this,expandedTriggerClass,normalTriggerClass)
    							cssjs('swap',this.hideElement,normalElementClass,collapsedElementClass)
    							addimage(this,false);
    						} else {
    							cssjs('swap',this,normalTriggerClass,expandedTriggerClass)
    							cssjs('swap',this.hideElement,collapsedElementClass,normalElementClass)
    							addimage(this,true);
    						}
    					}
    					return false;
    				}
    			}
    		break;
    	}
    /* Collapse and Expand all links */
    	var metalinks=document.getElementById(collapseAllElement);
    	if(!metalinks || metalinks.getElementsByTagName('ul')[0]){return;}
    	var newul=document.createElement('ul');
    	var newli=document.createElement('li');
    	newa=document.createElement('a');
    	newa.href='#';
    	newa.onclick=function(){domcollapse(1);return false;}
    	newa.appendChild(document.createTextNode(expandAllMessage));
    	newli.appendChild(newa);
    	newul.appendChild(newli);

    	newli=document.createElement('li');
    	newa=document.createElement('a');
    	newa.href='#';
    	newa.onclick=function(){domcollapse(0);return false;}
    	newa.appendChild(document.createTextNode(collapseAllMessage));
    	newli.appendChild(newa);
    	newul.appendChild(newli);
    	if(cmd!='nounique')
    	{
    		newli=document.createElement('li');
    		newa=document.createElement('a');
    		newa.href='#';
    		newa.onclick=function()
    		{
    			if(this.id==enableAlternateElement)
    			{
    				this.removeAttribute('id');
    				this.replaceChild(document.createTextNode(triggerUniqueMessage),this.firstChild);
    			} else {
    				this.id=enableAlternateElement;
    				this.replaceChild(document.createTextNode(triggerNonUniqueMessage),this.firstChild);
    			}
    			return false;
    		}
    		if(cmd=='makeunique')
    		{
    			newa.id=enableAlternateElement;
    			newa.appendChild(document.createTextNode(triggerNonUniqueMessage));
    		} else {
    			newa.appendChild(document.createTextNode(triggerUniqueMessage));
    		}
    		newli.appendChild(newa);
    		newul.appendChild(newli);
    	}
    	metalinks.appendChild(newul);

    	function addimage (o,state)
    	{
    		var locexpandMessage=expandMessage.replace(/%section%/,o.childNodes[1].nodeValue);
    		var loccollapseMessage=collapseMessage.replace(/%section%/,o.childNodes[1].nodeValue);
    		o.getElementsByTagName('img')[0].src=state?collapseImage:expandImage;
    		o.getElementsByTagName('img')[0].alt=state?loccollapseMessage:locexpandMessage;
    		o.getElementsByTagName('img')[0].title=state?loccollapseMessage:locexpandMessage;
    	}
    	function cssjs(a,o,c1,c2)
    	{
    		switch (a){
    			case 'swap':
    				o.className=!cssjs('check',o,c1)?o.className.replace(c2,c1):o.className.replace(c1,c2);
    			break;
    			case 'add':
    				if(!cssjs('check',o,c1)){o.className+=o.className?' '+c1:c1;}
    			break;
    			case 'remove':
    				var rep=o.className.match(' '+c1)?' '+c1:c1;
    				o.className=o.className.replace(rep,'');
    			break;
    			case 'check':
    				return new RegExp('\\b'+c1+'\\b').test(o.className)
    			break;
    		}
    	}
    }
  </script>
</head>
<body bgcolor="white" topmargin="0" leftmargin="0">

<!-- START Title Bar  -->
<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr>
    <td bgcolor="#CC3300" align=left><img src="../images/patient_top_banner3.gif"></td>
  </tr>
  <tr>
    <td bgcolor="#FFFFCC">
      <img src="../images/patient_banner_photo.jpg" width="354" height="65">
    </td>
    <td bgcolor="#FFFFCC"><br/></td>
  </tr>
  <tr>
    <td bgcolor="#FFFFFF" height=1 colspan=2>
      <img src="../images/clear.gif" width="100" height="1" alt="" border="0">
    </td>
  </tr>
</table>
<!-- Title Bar END -->

<!-- START Padding for Content  -->
<table width="100%" border="0" cellspacing="1" cellpadding="10"><tr><td>

<!-- START Content  -->
<p class="pagetitle-md"><bean:message key="page.title.error.occured"/></p>
<br/>
<table border="0" cellspacing="0" cellpadding="5">
<tr>
  <td>
    <%
      ErrorBean errBean = (ErrorBean)request.getAttribute("errorBean");
      String returnPage = "/main/start.jsp";
      String errorMsg = "Unkown error";
      if (errBean != null) {
        returnPage = "/"+errBean.getLink();
        errorMsg = errBean.getErrMessage();
      }
      Throwable t = (Throwable)request.getAttribute(Globals.EXCEPTION_KEY);
    %>
    &nbsp;
    <%=errorMsg%>
    <br/><br/><br/>
    <a href="" class="trigger">Show full stacktrace</a>
    <div>
      <table><tr><td>
        <%t.printStackTrace(new PrintWriter(out));%>
      </td></tr></table>
    </div>
    <br/><br/>
    &nbsp;<sslext:link page="<%=returnPage%>">
      <bean:message key="link.return"/>
    </sslext:link>
  </td>
</tr>
</table>

<!-- END Content  -->

</td></tr></table>
<!-- END Padding for Content -->

</body>
</html:html>
