package com.bea.physician.web.physician.actions;

import com.bea.physician.service.PhysicianService;
import com.bea.physician.utils.PhysicianLog4jFactory;
import com.bea.physician.web.actions.BaseLookupDispatchAction;
import com.bea.physician.web.exceptions.ClientException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * <p>Base lookup dispatch action encapsulating
 * common physician webapp functionality.</p>
 *
 * @author Copyright (c) @COPYRIGHT_CURRENTYEAR by BEA Systems. All Rights Reserved.
 */
public abstract class PhysBaseLookupDispatchAction
    extends BaseLookupDispatchAction implements PhysicianConstants {

  protected PhysicianService physicianService;

  public void setPhysicianService(PhysicianService pPhysicianService){
    this.physicianService = pPhysicianService;
  }
}